package java.awt.im.spi;

import java.awt.Image;
import java.awt.AWTException;
import java.util.Locale;

public interface InputMethodDescriptor
{
    public abstract Locale[] getAvailableLocales() throws AWTException;
    
    public abstract boolean hasDynamicLocaleList();
    
    public abstract String getInputMethodDisplayName(Locale p0, Locale p1);
    
    public abstract Image getInputMethodIcon(Locale p0);
    
    public abstract InputMethod createInputMethod() throws Exception;
}
